# Uses of Class
org.eclipse.swt.widgets.Synchronizer

Packages that use Synchronizer
Package
Description
org.eclipse.rap.rwt.widgets
org.eclipse.swt.widgets

## Uses of Synchronizer in org.eclipse.rap.rwt.widgets

Subclasses of Synchronizer in org.eclipse.rap.rwt.widgets
Modifier and Type
Class
Description
`class`
`ClusteredSynchronizer`
Instances of this class provide synchronization support for displays in high-availability cluster environments.

## Uses of Synchronizer in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Synchronizer
Modifier and Type
Method
Description
`Synchronizer`
Display.`getSynchronizer()`
Gets the synchronizer used by the display.
Methods in org.eclipse.swt.widgets with parameters of type Synchronizer
Modifier and Type
Method
Description
`void`
Display.`setSynchronizer(Synchronizer synchronizer)`
Sets the synchronizer used by the display to be the argument, which can not be null.